{% macro configure_http(name) -%}
        server_name {{ name }};

        listen 80;
        listen [::]:80;

        access_log /var/log/nginx/http.{{ name }}.access.log;
        error_log /var/log/nginx/http.{{ name }}.error.log error;
{%- endmacro %}

{% macro configure_https(name) -%}
        server_name {{ name }};

        listen 443 ssl;
        listen [::]:443 ssl;

        access_log /var/log/nginx/{{ name }}.access.log;
        error_log /var/log/nginx/{{ name }}.error.log error;

        client_max_body_size 256M;

        ssl_dhparam /opt/nginx/ssl/dhparam.pem;
        ssl_protocols TLSv1.2 TLSv1.3;
        ssl_ciphers ECDHE-ECDSA-AES128-GCM-SHA256:ECDHE-RSA-AES128-GCM-SHA256:ECDHE-ECDSA-AES256-GCM-SHA384:ECDHE-RSA-AES256-GCM-SHA384:ECDHE-ECDSA-CHACHA20-POLY1305:ECDHE-RSA-CHACHA20-POLY1305:DHE-RSA-AES128-GCM-SHA256:DHE-RSA-AES256-GCM-SHA384;
        ssl_prefer_server_ciphers on;
        ssl_session_timeout 4h;
        ssl_session_cache shared:MozSSL:20m;
        ssl_session_tickets off;
{%- endmacro %}
